Subject: Re: Git setup for kernel in-house development + mainstream submissions?

From: Johannes Gilger <[email-masked]>
Date: Mon, 2 Feb 2009 07:26:40 +0000 (UTC)

On 2009-02-01, PaV <[email-masked]> wrote:
> I would like to kindly ask for suggestions how to setup and use git in a
> company that performs in-house kernel development (drivers mostly) for
> its own devices and would like to occasionaly submit patches for mainstream.
> [...]
> So the proposed setup might be:
> (1) - in-house devel could be done on separate branches for each driver

Do you really want to have separate drivers in the same git repository? 
Do these drivers share so much code and depend on each other that this 
would be necessary? If not I'd suggest you think about separate git 
projects for each driver, unless there is a compelling reason against 
it.

Greetings,
Jojo

-- 
Johannes Gilger <[email-masked]>
http://hackvalue.de/heipei/
GPG-Key: 0x42F6DE81
GPG-Fingerprint: BB49 F967 775E BB52 3A81  882C 58EE B178 42F6 DE81